# HG changeset patch
# User Tatsuro Matsuoka <tmacchant@yahoo.co.jp>
# Date 1522474470 -32400
#      Sat Mar 31 14:34:30 2018 +0900
# Node ID c3c22256cb6147d551cf28a65238b7319d0eacd5
# Parent  e909207e9ff151d4201cc1ff3dfb472b6383da5b
Japanese translations

diff -r e909207e9ff1 -r c3c22256cb61 etc/icons/org.octave.Octave.desktop.in
--- a/etc/icons/org.octave.Octave.desktop.in	Fri Mar 30 17:47:12 2018 -0400
+++ b/etc/icons/org.octave.Octave.desktop.in	Sat Mar 31 14:34:30 2018 +0900
@@ -2,6 +2,7 @@
 Name=GNU Octave
 Comment=Interactive programming environment for numerical computations
 Comment[de]=Interaktive Programmierumgebung für numerische Berechnungen
+Comment[ja]=数値計算のための対話的なプログラミング環境
 TryExec=%OCTAVE_PREFIX%/bin/octave
 Exec=%OCTAVE_PREFIX%/bin/octave --gui %f
 Icon=octave
diff -r e909207e9ff1 -r c3c22256cb61 libgui/languages/ja_JP.ts
--- a/libgui/languages/ja_JP.ts	Fri Mar 30 17:47:12 2018 -0400
+++ b/libgui/languages/ja_JP.ts	Sat Mar 31 14:34:30 2018 +0900
@@ -56,12 +56,12 @@
     <message>
         <location filename="../src/settings-dialog.cc" line="+136"/>
         <source>Difference to the default size</source>
-        <translation type="unfinished">既定のサイズとの差</translation>
+        <translation>既定のサイズとの差</translation>
     </message>
     <message>
         <location line="+6"/>
         <source>Background color, pink (255, 0, 255) means default</source>
-        <translation type="unfinished">背景色，ピンク (255,0,255) が既定を意味する {255, 0, 255)?}</translation>
+        <translation>背景色，ピンク (255,0,255) が既定を意味する {255, 0, 255)?}</translation>
     </message>
     <message>
         <location line="+2"/>
@@ -107,7 +107,7 @@
     <message>
         <location filename="../qterminal/libqterminal/QTerminal.cc" line="+49"/>
         <source>Edit %1 at line %2</source>
-        <translation type="unfinished"></translation>
+        <translation>%2 行目の %1 を編集</translation>
     </message>
 </context>
 <context>
@@ -153,7 +153,7 @@
     <message>
         <location line="+3"/>
         <source>Single-quoted string</source>
-        <translation type="unfinished">シングルクォートで囲まれた文字列</translation>
+        <translation>シングルクォートで囲まれた文字列</translation>
     </message>
     <message>
         <location line="+3"/>
@@ -173,7 +173,7 @@
     <message>
         <location line="+3"/>
         <source>Parameter expansion</source>
-        <translation type="unfinished"></translation>
+        <translation>パラメータの展開</translation>
     </message>
     <message>
         <location line="+3"/>
@@ -244,7 +244,7 @@
     <message>
         <location line="+3"/>
         <source>Inactive default</source>
-        <translation type="unfinished"></translation>
+        <translation>既定をインアクティブ</translation>
     </message>
     <message>
         <location line="+3"/>
@@ -254,7 +254,7 @@
     <message>
         <location line="+3"/>
         <source>Inactive C comment</source>
-        <translation type="unfinished"></translation>
+        <translation>C のコメントをインアクティブ</translation>
     </message>
     <message>
         <location line="+3"/>
@@ -264,7 +264,7 @@
     <message>
         <location line="+3"/>
         <source>Inactive C++ comment</source>
-        <translation type="unfinished"></translation>
+        <translation>C++  のコメントをインアクティブ</translation>
     </message>
     <message>
         <location line="+3"/>
@@ -274,7 +274,7 @@
     <message>
         <location line="+3"/>
         <source>Inactive JavaDoc style C comment</source>
-        <translation type="unfinished"></translation>
+        <translation>JavaDoc スタイル C のコメントをインアクティブ</translation>
     </message>
     <message>
         <location line="+3"/>
@@ -284,7 +284,7 @@
     <message>
         <location line="+3"/>
         <source>Inactive number</source>
-        <translation type="unfinished"></translation>
+        <translation>数をインアクティブ</translation>
     </message>
     <message>
         <location line="+3"/>
@@ -294,7 +294,7 @@
     <message>
         <location line="+3"/>
         <source>Inactive keyword</source>
-        <translation type="unfinished"></translation>
+        <translation>キーワードをインアクティブ</translation>
     </message>
     <message>
         <location line="+3"/>
@@ -304,7 +304,7 @@
     <message>
         <location line="+3"/>
         <source>Inactive double-quoted string</source>
-        <translation type="unfinished"></translation>
+        <translation>ダブルクォートで囲まれた文字列をインアクティブ</translation>
     </message>
     <message>
         <location line="+3"/>
@@ -314,7 +314,7 @@
     <message>
         <location line="+3"/>
         <source>Inactive single-quoted string</source>
-        <translation type="unfinished"></translation>
+        <translation>シングルクォートで囲まれた文字列をインアクティブ</translation>
     </message>
     <message>
         <location line="+3"/>
@@ -334,7 +334,7 @@
     <message>
         <location line="+3"/>
         <source>Inactive pre-processor block</source>
-        <translation type="unfinished"></translation>
+        <translation></translation>
     </message>
     <message>
         <location line="+3"/>
@@ -344,7 +344,7 @@
     <message>
         <location line="+3"/>
         <source>Inactive operator</source>
-        <translation type="unfinished"></translation>
+        <translation>演算子をインアクティブ</translation>
     </message>
     <message>
         <location line="+3"/>
@@ -359,12 +359,12 @@
     <message>
         <location line="+3"/>
         <source>Unclosed string</source>
-        <translation type="unfinished"></translation>
+        <translation>閉じられていない文字列</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Inactive unclosed string</source>
-        <translation type="unfinished"></translation>
+        <translation>閉じられていない文字列をインアクティブ</translation>
     </message>
     <message>
         <location line="+3"/>
@@ -384,7 +384,7 @@
     <message>
         <location line="+3"/>
         <source>Inactive JavaScript regular expression</source>
-        <translation type="unfinished"></translation>
+        <translation>JavaScript の正規表現をインアクティブ</translation>
     </message>
     <message>
         <location line="+3"/>
@@ -394,7 +394,7 @@
     <message>
         <location line="+3"/>
         <source>Inactive JavaDoc style C++ comment</source>
-        <translation type="unfinished"></translation>
+        <translation>JavaDoc スタイルのC++のコメントをインアクティブ</translation>
     </message>
     <message>
         <location line="+3"/>
@@ -414,7 +414,7 @@
     <message>
         <location line="+3"/>
         <source>Inactive JavaDoc keyword</source>
-        <translation type="unfinished"></translation>
+        <translation>JavaDoc キーワードをインアクティブ</translation>
     </message>
     <message>
         <location line="+3"/>
@@ -424,7 +424,7 @@
     <message>
         <location line="+3"/>
         <source>Inactive JavaDoc keyword error</source>
-        <translation type="unfinished"></translation>
+        <translation type="unfinished">JavaDoc キーワードエラーをインアクティブ</translation>
     </message>
     <message>
         <location line="+3"/>
@@ -439,12 +439,12 @@
     <message>
         <location line="+3"/>
         <source>C++ raw string</source>
-        <translation type="unfinished"></translation>
+        <translation>C++ raw 文字列</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Inactive C++ raw string</source>
-        <translation type="unfinished"></translation>
+        <translation>C++ raw 文字列をインアクティブ</translation>
     </message>
 </context>
 <context>
@@ -452,7 +452,7 @@
     <message>
         <location filename="../../../qsci/qscilexerdiff.cpp" line="+107"/>
         <source>Default</source>
-        <translation type="unfinished">既定</translation>
+        <translation>既定</translation>
     </message>
     <message>
         <location line="+3"/>
@@ -579,8 +579,7 @@
         <location line="+3"/>
         <source>Single-quoted string</source>
         <translation>シングルクォートで囲まれた文字列</translation>
-    </message>
-    <message>
+    </message>    <message>
         <location line="+3"/>
         <source>Operator</source>
         <translation>演算子</translation>
@@ -598,12 +597,12 @@
     <message>
         <location line="+3"/>
         <source>Array</source>
-        <translation type="unfinished"></translation>
+        <translation>配列</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Hash</source>
-        <translation type="unfinished"></translation>
+        <translation>ハッシ</translation>
     </message>
     <message>
         <location line="+3"/>
@@ -618,7 +617,7 @@
     <message>
         <location line="+3"/>
         <source>Substitution</source>
-        <translation type="unfinished"></translation>
+        <translation>置換</translation>
     </message>
     <message>
         <location line="+3"/>
@@ -653,27 +652,27 @@
     <message>
         <location line="+3"/>
         <source>Quoted string (q)</source>
-        <translation type="unfinished"></translation>
+        <translation>クォートされた文字列 (q)</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Quoted string (qq)</source>
-        <translation type="unfinished"></translation>
+        <translation>クォートされた文字列 (qq)</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Quoted string (qx)</source>
-        <translation type="unfinished"></translation>
+        <translation>クォートされた文字列 (qx)</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Quoted string (qr)</source>
-        <translation type="unfinished"></translation>
+        <translation>クォートされた文字列 (qr)</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Quoted string (qw)</source>
-        <translation type="unfinished"></translation>
+        <translation>クォートされた文字列 (qw)</translation>
     </message>
     <message>
         <location line="+3"/>
@@ -683,7 +682,7 @@
     <message>
         <location line="+3"/>
         <source>Subroutine prototype</source>
-        <translation type="unfinished"></translation>
+        <translation>サブルーチンプロトタイプ</translation>
     </message>
     <message>
         <location line="+3"/>
@@ -693,27 +692,27 @@
     <message>
         <location line="+3"/>
         <source>Format body</source>
-        <translation type="unfinished"></translation>
+        <translation>フォーマットボディ</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Double-quoted string (interpolated variable)</source>
-        <translation type="unfinished"></translation>
+        <translation>ダブルクオートされた文字列（インターポレートされた変数）</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Translation</source>
-        <translation type="unfinished"></translation>
+        <translation>翻訳</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Regular expression (interpolated variable)</source>
-        <translation type="unfinished"></translation>
+        <translation>正規表現（インターポレートされた変数）</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Substitution (interpolated variable)</source>
-        <translation type="unfinished"></translation>
+        <translation>置換（インターポレートされた変数）</translation>
     </message>
     <message>
         <location line="+3"/>
@@ -723,7 +722,7 @@
     <message>
         <location line="+3"/>
         <source>Double-quoted here document (interpolated variable)</source>
-        <translation type="unfinished"></translation>
+        <translation>ダブルクォートされたヒヤドキュメント（インターポレートされた変数）</translation>
     </message>
     <message>
         <location line="+3"/>
@@ -733,17 +732,17 @@
     <message>
         <location line="+3"/>
         <source>Quoted string (qq, interpolated variable)</source>
-        <translation type="unfinished"></translation>
+        <translation>クォートされた文字列（qq, インターポレートされた変数）</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Quoted string (qx, interpolated variable)</source>
-        <translation type="unfinished"></translation>
+        <translation>クォートされた文字列（qx, インターポレートされた変数）</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Quoted string (qr, interpolated variable)</source>
-        <translation type="unfinished"></translation>
+        <translation>クォートされた文字列（qr, インターポレートされた変数）</translation>
     </message>
 </context>
 <context>
@@ -845,7 +844,7 @@
     <message>
         <location line="+41"/>
         <source>Octave Figure File (*.ofig);;Vector Image Formats (*.eps *.epsc *.pdf *.svg *.ps *.tikz);;Bitmap Image Formats (*.gif *.jpg *.png *.tiff)</source>
-        <translation type="unfinished"></translation>
+        <translation>Octave 図ファイル (*.ofig);;ベクトル イメージ ファオーマット (*.eps *.epsc *.pdf *.svg *.ps *.tikz);;ビットマップ イメージ ファオーマット(*.gif *.jpg *.png *.tiff)</translation>
     </message>
     <message>
         <location line="-576"/>
@@ -897,28 +896,28 @@
     <message>
         <location filename="../qterminal/libqterminal/unix/Filter.cpp" line="+628"/>
         <source>Open Link</source>
-        <translation type="unfinished"></translation>
+        <translation>オープンリンク</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Copy Link Address</source>
-        <translation type="unfinished"></translation>
+        <translation>リンクアドレスをコピー</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Send Email To...</source>
-        <translation type="unfinished"></translation>
+        <translation>E メールを...に送信</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Copy Email Address</source>
-        <translation type="unfinished"></translation>
+        <translation>E メールアドレスをコピー</translation>
     </message>
     <message>
         <location line="+10"/>
         <location line="+12"/>
         <source>Edit %1 at line %2</source>
-        <translation type="unfinished"></translation>
+        <translation>%2 行目の %1 を編集</translation>
     </message>
 </context>
 <context>
@@ -926,7 +925,7 @@
     <message>
         <location filename="../graphics/annotation-dialog.ui" line="+17"/>
         <source>Annotation</source>
-        <translation type="unfinished"></translation>
+        <translation>アノテーション</translation>
     </message>
     <message>
         <location line="+6"/>
@@ -1080,7 +1079,7 @@
     <message>
         <location filename="../src/dialog.cc" line="+276"/>
         <source>Select All</source>
-        <translation type="unfinished"></translation>
+        <translation>すべてを選択</translation>
     </message>
 </context>
 <context>
@@ -1088,35 +1087,35 @@
     <message>
         <location filename="../src/documentation.cc" line="+59"/>
         <source>Octave Documentation</source>
-        <translation type="unfinished"></translation>
+        <translation>Octave ドキュメント</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Could not setup the data required for the
 documentation viewer. Only help texts in
 the Console Widget will be available.</source>
-        <translation type="unfinished"></translation>
+        <translation>ドキュメントビューアーに必要なデータをセットアップできません．コンソールウィジェットでのヘルプテキストだけが使用可能です．</translation>
     </message>
     <message>
         <location line="+20"/>
         <source>Contents</source>
-        <translation type="unfinished"></translation>
+        <translation>コンテント</translation>
     </message>
     <message>
         <location line="+10"/>
         <source>Enter text to search the indices</source>
-        <translation type="unfinished"></translation>
+        <translation>インデックスを検索するテキストを入力</translation>
     </message>
     <message>
         <location line="+10"/>
         <location line="+37"/>
         <source>Search</source>
-        <translation type="unfinished"></translation>
+        <translation>検索</translation>
     </message>
     <message>
         <location line="-22"/>
         <source>Index</source>
-        <translation type="unfinished"></translation>
+        <translation>インデックス</translation>
     </message>
 </context>
 <context>
@@ -1124,12 +1123,12 @@
     <message>
         <location filename="../src/documentation-dock-widget.cc" line="+39"/>
         <source>Documentation</source>
-        <translation type="unfinished">ドキュメント</translation>
+        <translation>ドキュメント</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>See the documentation for help.</source>
-        <translation type="unfinished">ヘルプとしてドキュメントを見る</translation>
+        <translation>ヘルプとしてドキュメントを見る</translation>
     </message>
 </context>
 <context>
@@ -1138,20 +1137,20 @@
         <location filename="../src/external-editor-interface.cc" line="+63"/>
         <location line="+45"/>
         <source>Octave Editor</source>
-        <translation type="unfinished">Octave エディタ</translation>
+        <translation>Octave エディタ</translation>
     </message>
     <message>
         <location line="-44"/>
         <source>Could not start custom file editor
 %1</source>
-        <translation type="unfinished">カスタムファイルエディタをスタートできません
+        <translation>カスタムファイルエディタをスタートできません
 %1</translation>
     </message>
     <message>
         <location line="+45"/>
         <source>There is no custom editor configured yet.
 Do you want to open the preferences?</source>
-        <translation type="unfinished"></translation>
+        <translation>設定されたカスタムエディタが存在しません．設定を開きますか?</translation>
     </message>
 </context>
 <context>
@@ -1163,28 +1162,28 @@
         <location line="+19"/>
         <location line="+25"/>
         <source>Octave Editor</source>
-        <translation type="unfinished">Octave エディタ</translation>
+        <translation>Octave エディタ</translation>
     </message>
     <message>
         <location line="-487"/>
         <source>File not saved! A file with the selected name
 %1
 is already open in the editor</source>
-        <translation type="unfinished">ファイルは保存されていません！
+        <translation>ファイルは保存されていません！
 %1
 同名のファイルがエディタで既に開かれています</translation>
     </message>
     <message>
         <location line="+28"/>
         <source>The associated file editor tab has disappeared.</source>
-        <translation type="unfinished"></translation>
+        <translation>関連づけられたエディタタブが消失しました</translation>
     </message>
     <message>
         <location line="+416"/>
         <source>Could not open file
 %1
 for read: %2.</source>
-        <translation type="unfinished">ファイル
+        <translation>ファイル
 %1
 を開けません: %2 の読み込みのために.</translation>
     </message>
@@ -1193,146 +1192,148 @@
         <source>File
 %1
 does not exist. Do you want to create it?</source>
-        <translation type="unfinished"></translation>
+        <translation>ファイル
+%1
+は存在しません．作成しますか?</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Create</source>
-        <translation type="unfinished">作成</translation>
+        <translation>作成</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Cancel</source>
-        <translation type="unfinished"></translation>
+        <translation>キャンセル</translation>
     </message>
     <message>
         <location line="+20"/>
         <source>Could not open file
 %1
 for write: %2.</source>
-        <translation type="unfinished">ファイル
+        <translation>ファイル
 %1
 が開けません: %2　の書き込みのために.</translation>
     </message>
     <message>
         <location line="+217"/>
         <source>&amp;File</source>
-        <translation type="unfinished">ファイル (&amp;F)</translation>
+        <translation>ファイル (&amp;F)</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>&amp;Recent Editor Files</source>
-        <translation type="unfinished">最近開いたファイル (&amp;R)</translation>
+        <translation>最近開いたファイル (&amp;R)</translation>
     </message>
     <message>
         <location line="+9"/>
         <source>&amp;Edit Function</source>
-        <translation type="unfinished">関数の編集 (&amp;E)</translation>
+        <translation>関数の編集 (&amp;E)</translation>
     </message>
     <message>
         <location line="+8"/>
         <source>&amp;Save File</source>
-        <translation type="unfinished">ファイルの保存 (&amp;S)</translation>
+        <translation>ファイルの保存 (&amp;S)</translation>
     </message>
     <message>
         <location line="+6"/>
         <source>Save File &amp;As...</source>
-        <translation type="unfinished">ファイルを別名で保存 (&amp;A)...</translation>
+        <translation>ファイルを別名で保存 (&amp;A)...</translation>
     </message>
     <message>
         <location line="+8"/>
         <source>&amp;Close</source>
-        <translation type="unfinished">閉じる (&amp;C)</translation>
+        <translation>閉じる (&amp;C)</translation>
     </message>
     <message>
         <location line="+6"/>
         <source>Close All</source>
-        <translation type="unfinished"></translation>
+        <translation></translation>
     </message>
     <message>
         <location line="+6"/>
         <source>Close Other Files</source>
-        <translation type="unfinished">他のファイルを閉じる</translation>
+        <translation>他のファイルを閉じる</translation>
     </message>
     <message>
         <location line="+8"/>
         <source>Print...</source>
-        <translation type="unfinished">印刷...</translation>
+        <translation>印刷...</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>&amp;Edit</source>
-        <translation type="unfinished"></translation>
+        <translation>編集 (&amp;E)</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>&amp;Redo</source>
-        <translation type="unfinished">やり直す (&amp;R)</translation>
+        <translation>やり直す (&amp;R)</translation>
     </message>
     <message>
         <location line="+9"/>
         <source>Cu&amp;t</source>
-        <translation type="unfinished">切り取り (&amp;T)</translation>
+        <translation>切り取り (&amp;T)</translation>
     </message>
     <message>
         <location line="+7"/>
         <source>&amp;Find and Replace...</source>
-        <translation type="unfinished">検索と置換 (&amp;F) ...</translation>
+        <translation>検索と置換 (&amp;F) ...</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Find &amp;Next...</source>
-        <translation type="unfinished">次を検索 (&amp;N)</translation>
+        <translation>次を検索 (&amp;N)</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Find &amp;Previous...</source>
-        <translation type="unfinished">前を検索 (&amp;N)</translation>
+        <translation>前を検索 (&amp;N)</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>&amp;Commands</source>
-        <translation type="unfinished">コマンド (&amp;C)</translation>
+        <translation>コマンド (&amp;C)</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Delete Line</source>
-        <translation type="unfinished">行削除</translation>
+        <translation>行削除</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Copy Line</source>
-        <translation type="unfinished">行のコピー</translation>
+        <translation>行のコピー</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Cut Line</source>
-        <translation type="unfinished">行の切り取り</translation>
+        <translation>行の切り取り</translation>
     </message>
     <message>
         <location line="+7"/>
         <source>Delete to Start of Word</source>
-        <translation type="unfinished">単語の始まりまで削除</translation>
+        <translation>単語の始まりまで削除</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Delete to End of Word</source>
-        <translation type="unfinished">単語の終わりまで削除</translation>
+        <translation>単語の終わりまで削除</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Delete to Start of Line</source>
-        <translation type="unfinished">行の始まりまで削除</translation>
+        <translation>行の始まりまで削除</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Delete to End of Line</source>
-        <translation type="unfinished">行末まで削除</translation>
+        <translation>行末まで削除</translation>
     </message>
     <message>
         <location line="+7"/>
         <source>Duplicate Selection/Line</source>
-        <translation type="unfinished"></translation>
+        <translation>選択部/行の複製</translation>
     </message>
     <message>
         <location line="+5"/>
